## libmprivacy 1.0.57+aatgv4

=== Makefile ===
CFLAGS+=-g -c -std=gnu99 -Wall -Werror -O2 -fPIC -mtune=generic -flto
LDFLAGS+=-static
#ifdef WIN32
WINDRES=$(TARGET)-windres
STRIP=$(TARGET)-strip
AR=$(TARGET)-ar
CFLAGS+= -Wl,--subsystem,windows
LDFLAGS+= -mwindows -lpsapi -liconv -lpcre2-8 -lws2_32
#else
STRIP=strip
AR=ar
#endif /* #ifdef WIN32 */
SOURCES=winscp_connector.c winscp_ini_handler.c tgpro_environment.c mp_utils.c win_registry_utils.c mp_simple_list.c log.c
OBJECTS=$(SOURCES:.c=.o)
HEADERS=$(SOURCES:.c=.h) activedirectory-dev.h mime.h log.h
LIBFILE=libmprivacy.a

all: $(SOURCES) $(LIBFILE)

$(LIBFILE): $(OBJECTS)
	$(AR) -cvq $@ $(OBJECTS)
#	$(STRIP) $@

%.o: %.c
	$(CC) $(CFLAGS) $< -o $@

clean:
	rm -rf *.o $(LIBFILE)

install: $(LIBFILE)
	mkdir --parents $(DESTDIR)/usr/$(TARGET)/lib/
	cp -v $(LIBFILE) $(DESTDIR)/usr/$(TARGET)/lib/
	mkdir --parents $(DESTDIR)/usr/$(TARGET)/include/
	cp -v $(HEADERS) $(DESTDIR)/usr/$(TARGET)/include/
