=== debian/changelog ===
libmprivacy (1.0.57+aatgv4) unstable; urgency=low

  * git d27e23c6b7ef590663c4552f3e53225e7144b4ea
    tgpro_environment.c: use very old unused code.
  * git cf641665d16436db3a78fec42cfee3556440918a
    tgpro_environment:
    get_url_whitelist_path_startpath,
    get_url_whitelist_path_viewer_config_dir,
    get_url_whitelist_path_user and
    get_url_whitelist_path_system
    all return a char* instead of a const char*, which was
    actually a masked allocated char*. Like this, the caller will
    be responsible for freeing them.
    Much better memory allocation too: handle possible issues while
    allocating memory.
    Also use a new construct_path helper function to make it more
    readable.
    I know, I'm breaking the API. Sorry if I caused you trouble!
  * git 198af351b856fb29e92ce018915536b5aeac7519
    tgpro_environment.c: Refactor whitelist path functions to reduce redundancy
    Introduce helper function `try_get_whitelist_path` to handle common
    logic for checking the existence of the primary and fallback
    whitelist files. Allowing to remove quite a bit of redundant code.
  * git b478721830f599ba7f7d57907fdd3bc5a004650b
    tgpro_environment: make get_url_whitelist_path_user linux-compatible
    (use $HOME as "appdata").

 -- Juan Garcia <jua@m-privacy.de>  Tue, 17 Dec 2024 13:09:00 +0100

libmprivacy (1.0.57+aaxmp3) unstable; urgency=low

  * git 7c91feefa79fd8ceace885fec4a52e0fe38f5627
    BUG 0006965: tg-Gruppe für mail (Thunderbird) - tgmailicon
    activedirectory-dev.h: add tgmailicon to regex and to list of
    tg group CN's.

 -- Juan Garcia <jua@m-privacy.de>  Fri, 01 Oct 2024 14:27:00 +0100

libmprivacy (1.0.57+aaxmp2) unstable; urgency=low

  * git 3f35a51c60b2d8fb19ec0467a1886d5dadeeb429
    tgpro_environment: expose the following funtions:
    const char* get_url_whitelist_path_system();
    const char* get_url_whitelist_path_user();
    const char* get_url_whitelist_path_startpath();
    const char* get_url_whitelist_path_viewer_config_dir(const char* viewer_config_dir);
  * git bdf6cca979b39647470ddc6b3246a68583b9e9d9
    activedirectory-dev.h: add missing #include <ctype.h>

 -- Amon Ott <ao@m-privacy.de>  Wed, 25 Sep 2024 09:36:00 +0200

libmprivacy (1.0.57+aaxmp1) unstable; urgency=low

  * Rebuild with GCC 14

 -- Amon Ott <ao@m-privacy.de>  Wed, 28 Aug 2024 10:26:00 +0200

libmprivacy (1.0.57+aavmp18) unstable; urgency=low

  * git 6dc10f154d22971aac685fdd790aed7caaa16877
    AD-OpenLPAP: return MP_LDAP_EMPTY_RESPONSE_ERROR from
    get_tg_groups_from_openldap_new if the response was completely empty.
    Correctly interpret the return value too: unset TGGROUPS to
    make sure it's not "empty" for password and certificate users
    (who are not in the LDAP server).
  * git 3ca8d5b67bdc0d2e4fe64a671e768b25032f28d9
    AD-OpenLDAP: Change a generic MP_LDAP_ERROR to MP_LDAP_NO_GROUPS_ERROR
    in get_tg_groups_from_openldap_new. Also log the results if they're
    MP_LDAP_QUERY_EXEC_ERROR and MP_LDAP_NO_GROUPS_ERROR (just for clarity).
  * git 7fbed21d2048604edca55b1461e3ea0f7a0dc677
    AD-OpenLDAP: log if unable to get 'dn' for user in perform_ldap_search.
  * git f4e8f53a3d3ca5734a98f7cdfe45480af9b09040
    activedirectory-dev: print some logs directly as syslog.

 -- Juan Garcia <jua@m-privacy.de>  Thu, 08 Aug 2024 12:42:00 +0200

libmprivacy (1.0.57+aavmp17) unstable; urgency=low

  * git f76fd0c665652d48548992e8bb1e60f96b14047b
    mp_utils.c: check for allocation failure.
  * git 9086085502c7c3d9bb508aa154e2a4916037ece8
    BUG 0006876: Viewer - autotransfer (ggf auch OPSWAT etc) Fehler mit zu langen Namen (oder Umlauten)
    mp_utils.c: use CP_ACP (system default Windows ANSI code page)
    in utf8_char_to_wchar_t() to transform to wchar_t (which works
    better than UTF8 because Windows is veery special).
    Like this _wrename (in mp_move) works correctly for filenames
    with non-ASCII characters.
    Of course, this could actually break stuff too that used to work.
    We'll see.
  * git 7bbd7d92ae40923229ec4be6c419125bb1381554
    BUG 0006776: libmprivacy: Rückgabe Typ von get_user_name zu const char* ändern
    tgpro_environment: change return get_user_name's type to const char*
    to avoid use-after-free situations (the compiler already complains
    like this).
  * git 2d968dda3bd04715ffcc621bf56ae700ad0b84e1
    BUG 0006900: Viewer: Send-To-TG-Pro-Verknüpfung beim Start erstellen (inkl. configdir-Option)
    BUG 0006901: Schleuse: Send-To-TG-Pro-Verknüpfung beim Start erstellen (inkl. configdir-Option)
    Add int create_send_to_shortcut(const char* config_dir, const char* description)
    function that creates an lnk file in shell:sendto for the current
    user. We still need to call this function.
  * git 757d49abdeaca443b40f8c3b343f6d6660ad31da
    BUG 0006900: Viewer: Send-To-TG-Pro-Verknüpfung beim Start erstellen (inkl. configdir-Option)
    BUG 0006901: Schleuse: Send-To-TG-Pro-Verknüpfung beim Start erstellen (inkl. configdir-Option)
    tgpro_environment: check whether config_dir is an empty string
    after checking it's not null.
  * git cefb10b09af268eff769abb00b813d9a9c04a517
    BUG 0006900: Viewer: Send-To-TG-Pro-Verknüpfung beim Start erstellen (inkl. configdir-Option)
    BUG 0006901: Schleuse: Send-To-TG-Pro-Verknüpfung beim Start erstellen (inkl. configdir-Option)
    tgpro_environment.c: add get_absolute_path function and use it
    to calculate config_dir's absolute path while creating a send-to
    shortcut.
  * git 692203d9814ba4ce2ea660366db496cb414a4c79
    BUG 0006958: AD: Weder VNC- noch SSH-Server können die TG-Gruppen der "Domänen Benutzer" auslesen
    activedirectory-dev: use correct filter to search for the primary
    group's dn (bug introduced in aeae52e5).

 -- Juan Garcia <jua@m-privacy.de>  Tue, 09 Jul 2024 12:57:00 +0200

libmprivacy (1.0.57+aavmp16) unstable; urgency=low

  * git 9069f695b2297c53b1e3aec6c5b0cfa4bb9e857b

