=== debian/control ===
Source: libmprivacy
Section: devel
Priority: optional
Build-Depends: debhelper (>= 4.0), libpcre2-dev
Maintainer: Juan Garcia
Standards-Version: 3.7.2.2

Package: libmprivacy
Architecture: any
Depends: ${shlibs:Depends}
Description: Helper functions for m-privacy client tools.
