## libmprivacy 1.0.58+aatgv3

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 STRIP=strip
 AR=ar
 #endif /* #ifdef WIN32 */
-SOURCES=winscp_connector.c winscp_ini_handler.c tgpro_environment.c mp_utils.c win_registry_utils.c mp_simple_list.c log.c
+SOURCES=winscp_connector.c winscp_ini_handler.c tgpro_environment.c mp_utils.c win_registry_utils.c mp_simple_list.c log.c transfer_log_helpers.c
 OBJECTS=$(SOURCES:.c=.o)
 HEADERS=$(SOURCES:.c=.h) activedirectory-dev.h mime.h log.h
 LIBFILE=libmprivacy.a
