=== debian/changelog ===
libmprivacy (1.0.58+aatgv3) unstable; urgency=low

  * git 2f0f86b4d94e26fafd4a8d2e2758ab1c417e7321
    activedirectory-dev: add missing ; at the end of a log line. Also fix small typo in log.
  * git af8982dfd22fb6f177f2eba3ef10dcf8fad97aa3
    activedirectory-dev: Return (new) MP_LDAP_INVALID_ARG if user_domain
    was not passed to generate_ldap_base (and it has to be used).
    This avoids running an strdup(NULL), which was causing the
    ssh segfault in BUG 0006634: Schleuse AD-OpenLDAP geht nicht mehr.
  * git 330b1f01ab1d84715ffade40aa476f3ca2744f32
    Simplify LDAP code: Remove code for ldap_auto='manual' (it was
    dead code anyway as ldap_auto is always being forced to realm by
    the callers).
  * git 63105c766f420bbf12e8104dc64250cb8da79bda
    Simplify LDAP code: ldap_server also being ignored.
  * git 9c545c3c384071e79cc72c32fe3e80b2e08a3822
    Simplify LDAP code: Call perform_ldap_searches() with NULL values
    for ldap_server and ldap_auto.

 -- Juan Garcia <jua@m-privacy.de>  Wed, 08 Oct 2025 14:30:00 +0200

libmprivacy (1.0.58+aazmp2) unstable; urgency=low

  * Add dep: librsbac-dev

  * git 792aa69159bcf04477dbb22b6369842a0a0a201a
    BUG 0007222: Autoschleuse (VNC) protokolliert nicht "Anonym"
    Add transfer_log_helpers (.h and .c).
    Provide helper functions to anonymize or pseudonymize usernames
    and paths before logging file transfers. Includes:
    - resolve_username_for_logs(): returns the resolved username (malloc'ed)
    - replace_username_dir_for_logs(): replaces the username directory in a path (malloc'ed)

 -- Juan Garcia <jua@m-privacy.de>  Thu, 25 Sep 2025 13:23:00 +0200

libmprivacy (1.0.58+aazmp1) unstable; urgency=low

  * Bump version for viewer

 -- Amon Ott <ao@m-privacy.de>  Wed, 10 Sep 2025 10:24:00 +0200

libmprivacy (1.0.57+aazmp1) unstable; urgency=low

  * Rebuild with GCC 15
  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
    - export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
    - export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection

 -- Amon Ott <ao@m-privacy.de>  Mon, 08 Sep 2025 07:43:00 +0200

libmprivacy (1.0.57+aaxmp9) unstable; urgency=low

  * git 237f74d20eb5965e42df224df086df96686d335e
    activedirectory-dev.h: Add tgsignalicon to possible groups

 -- Juan Garcia <jua@m-privacy.de>  Wed, 13 Aug 2025 15:10:00 +0200

libmprivacy (1.0.57+aaxmp8) unstable; urgency=low

  * git 9f1d19b9061a61160b806705275aa836d3644c51
    BUG 0007213: Umbenennung vom Benutzerkennung im TightGate-Pro
    mp_utils.c: prepareuser_error(): handle new error code 6

 -- Amon Ott <ao@m-privacy.de>  Wed, 16 Jul 2025 15:13:00 +0200

libmprivacy (1.0.57+aaxmp7) unstable; urgency=low

  * git d15e003977145f1e244adb2edaa6c48c4dbb23b4
    get_tgpro_tmp_path(): return long path name instead of legacy
    windows path with '~' if possible.
  * git 22ce4dadd4e3f081dcd6f92816356d71b38efe6f
    get_appdata(): return long path name instead of legacy
    windows path with '~' if possible.
  * git cd28e9d583ee341dc02efe3384c6712619a1ec91
    mp_utils: Add is_valid_utf8 function.
  * git 8ec02b6e63936f99de5c9165dac5acf560bc2879
    mp_utils: Use CP_UTF8 in utf8_char_to_wchar_t by default and
    fall back to CP_ACP if the string isn't a valid UTF8 char*.
  * git 82655ced49f9021652029355d9fb96197cef78e1
    BUG 0007181: URL_Whitelist wird in %appdata%\vnc nicht gefunden
    tgpro_environment: If a URL whitelist file can't be found, continue
    looking for the other ones (and don't just return NULL, as if
    a match couldn't be found).
    y
  * git a88161e91dcbf6b88c025fe1c6a9118729333933
    BUG 0007119: Zert.-Anmeldung an der Schleuse bei Authentisierungsmethode AD wird falsch geloggt
    activedirectory-dev: Log correctly in case we might be reading
    the AD groups from a login that isn't with AD. It could be username
    and password but also certificate: Add 'or a certificate' to log
    to be more precise (or vague enough to make it true :)).
  * git 8b6f5304bbd4cdf31ab939aed6c161078d3845c3
    tgpro_environment: Add linux build error introduced in
    22ce4dadd4e3f081dcd6f92816356d71b38efe6f.

 -- Juan Garcia <jua@m-privacy.de>  Thu, 23 Jun 2025 13:51:00 +0200

libmprivacy (1.0.57+aaxmp6) unstable; urgency=low

  * git 26c7f7de461ea116b104d58b2ac3ffbd42b55809
    tgpro_environment: Add url_encode_non_ascii (mostly to save
    configuration values for WinSCP config files - a.k.a. transfer.ini).
  * git 5a4561fb13281785e2e63e1722096a8542acff57
    BUG 0007176: MagicUrl öffnet HTML-Dateien mit Sonderzeichen (ä z.B.) immer in TG-Pro
    Revert "BUG 0006876: Viewer - autotransfer (ggf auch OPSWAT etc) Fehler mit zu langen Namen (oder Umlauten)"
    This reverts commit 9086085502c7c3d9bb508aa154e2a4916037ece8
    which caused the new #7176 bug. I also think it actually breaks non ASCII
    chars in filenames while autotransfering.

 -- Juan Garcia <jua@m-privacy.de>  Thu, 22 May 2025 10:19:00 +0200

libmprivacy (1.0.57+aaxmp5) unstable; urgency=low

  * git 3fdda04c1fe708744c97828b5a61898dc8743013
    tgpro_environment: Fix Windows build - include pwd.h only #ifndef WIN32.

 -- Amon Ott <ao@m-privacy.de>  Tue, 28 Jan 2025 10:14:00 +0100

libmprivacy (1.0.57+aaxmp4) unstable; urgency=low

  * git d27e23c6b7ef590663c4552f3e53225e7144b4ea
    tgpro_environment.c: use very old unused code.
  * git cf641665d16436db3a78fec42cfee3556440918a
    tgpro_environment:
    get_url_whitelist_path_startpath,
    get_url_whitelist_path_viewer_config_dir,
    get_url_whitelist_path_user and
    get_url_whitelist_path_system
    all return a char* instead of a const char*, which was
    actually a masked allocated char*. Like this, the caller will
    be responsible for freeing them.

