=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libmprivacy
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 4.0), libpcre2-dev
+Build-Depends: debhelper (>= 4.0), libpcre2-dev, librsbac-dev
 Maintainer: Juan Garcia
 Standards-Version: 3.7.2.2
